# cpl add

## Contents

- Description

- Arguments

- Flags

Removes a project from workspace.

cpl add <source-project> <target-project>
cpl a <source-project> <target-project>
cpl A <source-project> <target-project>

## Description

Adds a project reference to given project.

If you call the command in a CPL workspace, you can use the project names. Otherwise the paths of the projects must be specified.

## Arguments

Argument | Description | Value type
--- | --- | ---
`<source-project>` | Name of the project to which the reference has to be added | `str`
`<target-project>` | Name of the project to be referenced | `str`

## Flags

Argument | Description
--- | ---
`--simulate` | Specifies whether the command is simulated